package router

import (
	"f5"
	"main/middleware"
	"main/router/ingame"
	"main/router/mainservice"
)

type routerMgr struct {
	ingame      ingame.RouterGroup
	mainservice mainservice.RouterGroup
}

func (this *routerMgr) Init() {
	f5.GetApp().GetGinEngine().Use(middleware.Cors())
	this.ingame.IngameRouter.InitRouter()
	this.mainservice.MainServiceRouter.InitRouter()

	f5.GetSysLog().Info("routerMgr.init")

}

func (this *routerMgr) UnInit() {

}
